Cancel file processing
curl --request POST \
--url https://api.vidnavigator.com/v1/file/{file_id}/cancel \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.vidnavigator.com/v1/file/{file_id}/cancel"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vidnavigator.com/v1/file/{file_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"file_id": "<string>",
"file_name": "<string>",
"message": "<string>"
}
}{
"status": "error",
"error": "access_denied",
"message": "<string>"
}{
"status": "error",
"error": "file_not_found",
"message": "<string>"
}{
"status": "error",
"error": "internal_server_error",
"message": "<string>"
}Local Files
Cancel File Processing
Cancel an ongoing file upload/processing
POST
/
file
/
{file_id}
/
cancel
Cancel file processing
Cancel an ongoing file upload or processing job.
Path Parameter
file_id(string, required)
Example Request
cURL
curl -X POST "https://api.vidnavigator.com/v1/file/file_abc123/cancel" \
-H "X-API-Key: YOUR_API_KEY"
Success Response (200 OK)
Returns a confirmation that the file processing has been cancelled.{
"status": "success",
"data": {
"file_id": "file_abc123",
"file_name": "processing_video.mp4",
"message": "File cancelled successfully"
}
}
Authorizations
API key authentication. Include your VidNavigator API key in the X-API-Key header.
Path Parameters
The ID of the file to cancel
⌘I

